# Request Consent

![](/files/-MV6ywhNkfzpcOD9h5cT)

<mark style="color:green;">`POST`</mark> `https://api.domain.com/api/services/app/RequestConsents/Request`

ใช้สำหรับส่ง request consent ไปยัง data subject

#### Headers

| Name          | Type   | Description        |
| ------------- | ------ | ------------------ |
| Authorization | string | Bearer tokenของคุณ |

#### Request Body

| Name                           | Type    | Description                                                    |
| ------------------------------ | ------- | -------------------------------------------------------------- |
| smsTrackingCallbackConsenttype | string  | content type ที่ใช้ในการ callback กลับ สำหรับ sms tracking     |
| smsTrackingCallbackUrl         | string  | url ที่ใช้ callback กลับสำหรับ sms tracking                    |
| bulkId                         | string  | เลขที่ของชุด request ที่ไม่ซ้ำกันในแต่ละ request               |
| requests                       | array   | ชุดข้อมูลที่ request                                           |
| identifier                     | string  | ข้อมูลที่ใช้แยกบุคคลแต่ละคน                                    |
| email                          | string  | email ที่ต้องการส่ง                                            |
| mobileNo                       | string  | เบอร์ที่ต้องการส่ง link consent                                |
| preferChannel                  | string  | ช่องทางที่ต้องการส่ง link (Email = 1, SMS = 2)                 |
| sourceId                       | string  | เลขที่ใช้อ้างอิ้งเมื่อ callback กลับ                           |
| isRequireNotify                | boolean | ต้องการให้มีการ callback กลับเมื่อได้รับผล consent             |
| notifyUrl                      | string  | url ที่ใช้ callback กลับ                                       |
| notifyContentType              | string  | content type ที่ใช้ในการ callback                              |
| consentPointId                 | string  | เลขที่ของ consent point ได้หลังจากที่สร้าง consent point เสร็จ |

{% tabs %}
{% tab title="200 successfully retrieved." %}

```
{
  "result": {Success},
  "targetUrl": null,
  "success": true,
  "error": null,
  "unAuthorizedRequest": false,
  "__abp": true
}
```

{% endtab %}
{% endtabs %}

### ตัวอย่าง Request json

```
{
  "bulkId": "string",
  "requests": [
    {
      "identifier": "string",
      "email": "string",
      "mobileNo": "string",
      "sourceId": "string",
      "preferChannel": 0,
      "notifyUrl": "string",
      "notifyContentType": "string",
      "isRequireNotify": boolean,
      "consentPointId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "smsTrackingCallbackUrl": "string",
      "smsTrackingCallbackConsenttype": "string",
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.reddot.co.th/consent-management-api/request-consent-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
